/*
 *    VisNow
 *    Copyright (C) 2006-2019 University of Warsaw, ICM
 *    Copyright (C) 2020 onward visnow.org
 *    All rights reserved.
 * 
 *  DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 *  This code is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License version 3, 
 *  or (at your option) any later version, as published by the Free Software Foundation.  
 *  The authors designate this particular file as subject to the "Classpath" exception 
 *  as provided in the LICENSE file that accompanied this code.
 *
 *  This code is distributed in the hope that it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  version 3 for more details (a copy is included in the LICENSE file that
 *  accompanied this code).
 *
 *  You should have received a copy of the GNU General Public License version 3
 *  along with this work; if not, see http://www.gnu.org/licenses/gpl-3.0.txt 
 *
 *  Please contact visnow.org or visit www.visnow.org if you need additional information or
 *  have any questions.
 *
 */

package org.visnow.vn.geometries.viewer3d.controls;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.ImageIcon;
import org.visnow.vn.geometries.viewer3d.Display3DPanel;

/**
 *
 * @author Krzysztof S. Nowiński, Warsaw University ICM
 */
public class Display3DControlsFrame extends javax.swing.JFrame
{

    private static final long serialVersionUID = 4600073246148982408L;
    private Display3DPanel panel = null;

    /**
     * Creates new form Display3DControlsFrame
     */
    public Display3DControlsFrame(Display3DPanel panel)
    {
        initComponents();
        controlPanel = new org.visnow.vn.geometries.viewer3d.controls.Display3DControlsPanel(panel);
        getContentPane().add(controlPanel, java.awt.BorderLayout.CENTER);
    }

    /**
     * This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents()
    {

        controlPanel = new org.visnow.vn.geometries.viewer3d.controls.Display3DControlsPanel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Viewer3D controls");
        setAlwaysOnTop(true);
        setIconImage(new ImageIcon(getClass().getResource("/org/visnow/vn/gui/icons/big/visnow.png")).getImage());
        setLocationByPlatform(true);
        setMaximumSize(new java.awt.Dimension(260, 600));
        setMinimumSize(new java.awt.Dimension(260, 600));
        setName("Viewer3D controls"); // NOI18N
        setPreferredSize(new java.awt.Dimension(260, 600));
        getContentPane().add(controlPanel, java.awt.BorderLayout.CENTER);

        setSize(new java.awt.Dimension(277, 565));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    public Display3DControlsPanel getControlPanel()
    {
        return controlPanel;
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private org.visnow.vn.geometries.viewer3d.controls.Display3DControlsPanel controlPanel;
    // End of variables declaration//GEN-END:variables

}
